/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import javax.swing.JDialog;

import org.cocktail.mangue.client.gui.promotions.PromouvabilitesView;
import org.cocktail.mangue.common.utilities.CocktailIcones;


/**
 *
 * @author  cpinsard
 */
public class InfosComplementairesView extends JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public InfosComplementairesView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        checkServiceNational = new javax.swing.JRadioButton();
        checkFormations = new javax.swing.JRadioButton();
        checkDiplomes = new javax.swing.JRadioButton();
        checkArrivee = new javax.swing.JRadioButton();
        checkHandicap = new javax.swing.JRadioButton();
        checkDistinctions = new javax.swing.JRadioButton();
        checkAccident = new javax.swing.JRadioButton();
        checkMedical = new javax.swing.JRadioButton();
        checkMaladieProf = new javax.swing.JRadioButton();
        checkDecharges = new javax.swing.JRadioButton();
        checkHcomp = new javax.swing.JRadioButton();
        checkCDif = new javax.swing.JRadioButton();
        checkFonctions = new javax.swing.JRadioButton();
        checkRoles = new javax.swing.JRadioButton();
        jPanel2 = new javax.swing.JPanel();
        swapView = new javax.swing.JPanel();
        tfTitre = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Coordonnées");

        checkServiceNational.setBackground(new java.awt.Color(204, 204, 255));
        buttonGroup1.add(checkServiceNational);
        checkServiceNational.setFont(new java.awt.Font("Verdana", 0, 12));
        checkServiceNational.setText("Service National");
        checkServiceNational.setToolTipText("Périodes de service national");
        checkServiceNational.setBorderPainted(true);
        checkServiceNational.setFocusPainted(false);
        checkServiceNational.setFocusable(false);
        checkServiceNational.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkFormations.setBackground(new java.awt.Color(204, 255, 204));
        buttonGroup1.add(checkFormations);
        checkFormations.setFont(new java.awt.Font("Verdana", 0, 12));
        checkFormations.setText("Formations");
        checkFormations.setToolTipText("Liste des formations de l'agent");
        checkFormations.setBorderPainted(true);
        checkFormations.setFocusPainted(false);
        checkFormations.setFocusable(false);
        checkFormations.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkDiplomes.setBackground(new java.awt.Color(255, 255, 204));
        buttonGroup1.add(checkDiplomes);
        checkDiplomes.setFont(new java.awt.Font("Verdana", 0, 12));
        checkDiplomes.setText("Diplômes");
        checkDiplomes.setToolTipText("Diplômes de l'agent");
        checkDiplomes.setBorderPainted(true);
        checkDiplomes.setFocusPainted(false);
        checkDiplomes.setFocusable(false);
        checkDiplomes.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkArrivee.setBackground(new java.awt.Color(204, 255, 255));
        buttonGroup1.add(checkArrivee);
        checkArrivee.setFont(new java.awt.Font("Verdana", 0, 12));
        checkArrivee.setSelected(true);
        checkArrivee.setText("Arrivées / Départs");
        checkArrivee.setToolTipText("Arrivée/départ dans l'établissement");
        checkArrivee.setBorderPainted(true);
        checkArrivee.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        checkArrivee.setFocusPainted(false);
        checkArrivee.setFocusable(false);
        checkArrivee.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkArrivee.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkArriveeActionPerformed(evt);
            }
        });

        checkHandicap.setBackground(new java.awt.Color(204, 255, 153));
        buttonGroup1.add(checkHandicap);
        checkHandicap.setFont(new java.awt.Font("Verdana", 0, 12));
        checkHandicap.setText("Handicap");
        checkHandicap.setToolTipText("Personne à contacter en cas d'urgence");
        checkHandicap.setBorderPainted(true);
        checkHandicap.setFocusPainted(false);
        checkHandicap.setFocusable(false);
        checkHandicap.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkDistinctions.setBackground(new java.awt.Color(255, 204, 153));
        buttonGroup1.add(checkDistinctions);
        checkDistinctions.setFont(new java.awt.Font("Verdana", 0, 12));
        checkDistinctions.setText("Distinctions");
        checkDistinctions.setToolTipText("Distinctions honorifiques");
        checkDistinctions.setBorderPainted(true);
        checkDistinctions.setFocusPainted(false);
        checkDistinctions.setFocusable(false);
        checkDistinctions.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkAccident.setBackground(new java.awt.Color(255, 204, 255));
        buttonGroup1.add(checkAccident);
        checkAccident.setFont(new java.awt.Font("Verdana", 0, 12));
        checkAccident.setText("Déclaration AT");
        checkAccident.setToolTipText("Distinctions des accidents du travail");
        checkAccident.setBorderPainted(true);
        checkAccident.setFocusPainted(false);
        checkAccident.setFocusable(false);
        checkAccident.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkMedical.setBackground(new java.awt.Color(255, 102, 102));
        buttonGroup1.add(checkMedical);
        checkMedical.setFont(new java.awt.Font("Verdana", 0, 12));
        checkMedical.setText("Médical");
        checkMedical.setToolTipText("Gestion des visites médicales, examens ...");
        checkMedical.setBorderPainted(true);
        checkMedical.setFocusPainted(false);
        checkMedical.setFocusable(false);
        checkMedical.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkMaladieProf.setBackground(new java.awt.Color(255, 153, 255));
        buttonGroup1.add(checkMaladieProf);
        checkMaladieProf.setFont(new java.awt.Font("Verdana", 0, 12));
        checkMaladieProf.setText("Maladie Prof.");
        checkMaladieProf.setToolTipText("Maladies Professionnelles");
        checkMaladieProf.setBorderPainted(true);
        checkMaladieProf.setFocusPainted(false);
        checkMaladieProf.setFocusable(false);
        checkMaladieProf.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkDecharges.setBackground(new java.awt.Color(204, 255, 51));
        buttonGroup1.add(checkDecharges);
        checkDecharges.setFont(new java.awt.Font("Verdana", 0, 12));
        checkDecharges.setText("Décharges");
        checkDecharges.setToolTipText("Gestion des décharges de service");
        checkDecharges.setBorderPainted(true);
        checkDecharges.setFocusPainted(false);
        checkDecharges.setFocusable(false);
        checkDecharges.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkHcomp.setBackground(new java.awt.Color(102, 204, 255));
        buttonGroup1.add(checkHcomp);
        checkHcomp.setFont(new java.awt.Font("Verdana", 0, 12));
        checkHcomp.setText("Heures Comp.");
        checkHcomp.setToolTipText("Gestion des décharges de service");
        checkHcomp.setBorderPainted(true);
        checkHcomp.setFocusPainted(false);
        checkHcomp.setFocusable(false);
        checkHcomp.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkCDif.setBackground(new java.awt.Color(0, 153, 153));
        buttonGroup1.add(checkCDif);
        checkCDif.setFont(new java.awt.Font("Verdana", 0, 12));
        checkCDif.setText("DIF");
        checkCDif.setToolTipText("Gestion des droits à formation");
        checkCDif.setBorderPainted(true);
        checkCDif.setFocusPainted(false);
        checkCDif.setFocusable(false);
        checkCDif.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkFonctions.setBackground(new java.awt.Color(51, 255, 51));
        buttonGroup1.add(checkFonctions);
        checkFonctions.setFont(new java.awt.Font("Verdana", 0, 12));
        checkFonctions.setText("Fonctions");
        checkFonctions.setToolTipText("Fonctions (Structure, Instance, Expertise)");
        checkFonctions.setBorderPainted(true);
        checkFonctions.setFocusPainted(false);
        checkFonctions.setFocusable(false);
        checkFonctions.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkRoles.setBackground(new java.awt.Color(204, 204, 204));
        buttonGroup1.add(checkRoles);
        checkRoles.setFont(new java.awt.Font("Verdana", 0, 12));
        checkRoles.setText("Groupes / Rôles");
        checkRoles.setToolTipText("");
        checkRoles.setBorderPainted(true);
        checkRoles.setFocusPainted(false);
        checkRoles.setFocusable(false);
        checkRoles.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(checkArrivee, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkFormations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkDiplomes, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkServiceNational, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkHandicap, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkAccident, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkMaladieProf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkDistinctions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkMedical, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkDecharges, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkHcomp, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(checkCDif, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkFonctions, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, checkRoles, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 173, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(checkArrivee)
                .add(18, 18, 18)
                .add(checkServiceNational)
                .add(18, 18, 18)
                .add(checkDiplomes)
                .add(18, 18, 18)
                .add(checkFormations)
                .add(18, 18, 18)
                .add(checkAccident)
                .add(18, 18, 18)
                .add(checkHandicap)
                .add(18, 18, 18)
                .add(checkMaladieProf)
                .add(18, 18, 18)
                .add(checkDistinctions)
                .add(18, 18, 18)
                .add(checkMedical)
                .add(18, 18, 18)
                .add(checkDecharges)
                .add(18, 18, 18)
                .add(checkHcomp)
                .add(18, 18, 18)
                .add(checkCDif)
                .add(18, 18, 18)
                .add(checkFonctions)
                .add(18, 18, 18)
                .add(checkRoles)
                .addContainerGap(97, Short.MAX_VALUE))
        );

        swapView.setLayout(new java.awt.CardLayout());

        tfTitre.setBackground(new java.awt.Color(255, 204, 204));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Verdana", 0, 14));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("DIVERS");
        tfTitre.setAutoscrolls(false);
        tfTitre.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        btnFermer.setText("Fermer");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 839, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 839, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 113, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 610, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-1094)/2, (screenSize.height-738)/2, 1094, 738);
    }// </editor-fold>//GEN-END:initComponents

    private void checkArriveeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkArriveeActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkArriveeActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PromouvabilitesView dialog = new PromouvabilitesView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFermer;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkAccident;
    private javax.swing.JRadioButton checkArrivee;
    private javax.swing.JRadioButton checkCDif;
    private javax.swing.JRadioButton checkDecharges;
    private javax.swing.JRadioButton checkDiplomes;
    private javax.swing.JRadioButton checkDistinctions;
    private javax.swing.JRadioButton checkFonctions;
    private javax.swing.JRadioButton checkFormations;
    private javax.swing.JRadioButton checkHandicap;
    private javax.swing.JRadioButton checkHcomp;
    private javax.swing.JRadioButton checkMaladieProf;
    private javax.swing.JRadioButton checkMedical;
    private javax.swing.JRadioButton checkRoles;
    private javax.swing.JRadioButton checkServiceNational;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel swapView;
    private javax.swing.JTextField tfTitre;
    // End of variables declaration//GEN-END:variables
        
    private void initGui() {
    	setTitle("");  
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    }

	public javax.swing.JRadioButton getCheckDiplomes() {
		return checkDiplomes;
	}

	public void setCheckDiplomes(javax.swing.JRadioButton checkDiplomes) {
		this.checkDiplomes = checkDiplomes;
	}

	public javax.swing.JRadioButton getCheckDistinctions() {
		return checkDistinctions;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}

	public void setCheckDistinctions(javax.swing.JRadioButton checkDistinctions) {
		this.checkDistinctions = checkDistinctions;
	}

	public javax.swing.JRadioButton getCheckFormations() {
		return checkFormations;
	}

	public void setCheckFormations(javax.swing.JRadioButton checkFormations) {
		this.checkFormations = checkFormations;
	}

	public javax.swing.JRadioButton getCheckServiceNational() {
		return checkServiceNational;
	}

	public void setCheckServiceNational(
			javax.swing.JRadioButton checkServiceNational) {
		this.checkServiceNational = checkServiceNational;
	}

	public javax.swing.JPanel getSwapView() {
		return swapView;
	}

	public void setSwapView(javax.swing.JPanel swapView) {
		this.swapView = swapView;
	}

	public javax.swing.JRadioButton getCheckArrivee() {
		return checkArrivee;
	}

	public void setCheckArrivee(javax.swing.JRadioButton checkArrivee) {
		this.checkArrivee = checkArrivee;
	}

	public javax.swing.JRadioButton getCheckHandicap() {
		return checkHandicap;
	}

	public void setCheckHandicap(javax.swing.JRadioButton checkHandicap) {
		this.checkHandicap = checkHandicap;
	}

	public javax.swing.JRadioButton getCheckAccident() {
		return checkAccident;
	}

	public void setCheckAccident(javax.swing.JRadioButton checkAccident) {
		this.checkAccident = checkAccident;
	}

	public javax.swing.JRadioButton getCheckMaladieProf() {
		return checkMaladieProf;
	}

	public void setCheckMaladieProf(javax.swing.JRadioButton checkMaladieProf) {
		this.checkMaladieProf = checkMaladieProf;
	}

	public javax.swing.JRadioButton getCheckMedical() {
		return checkMedical;
	}

	public void setCheckMedical(javax.swing.JRadioButton checkMedical) {
		this.checkMedical = checkMedical;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JRadioButton getCheckDecharges() {
		return checkDecharges;
	}

	public void setCheckDecharges(javax.swing.JRadioButton checkDecharges) {
		this.checkDecharges = checkDecharges;
	}

	public javax.swing.JRadioButton getCheckHcomp() {
		return checkHcomp;
	}

	public void setCheckHcomp(javax.swing.JRadioButton checkHcomp) {
		this.checkHcomp = checkHcomp;
	}

	public javax.swing.JRadioButton getCheckCDif() {
		return checkCDif;
	}

	public void setCheckCDif(javax.swing.JRadioButton checkCDif) {
		this.checkCDif = checkCDif;
	}

	public javax.swing.JRadioButton getCheckFonctions() {
		return checkFonctions;
	}

	public void setCheckFonctions(javax.swing.JRadioButton checkFonctions) {
		this.checkFonctions = checkFonctions;
	}

	public javax.swing.JRadioButton getCheckRoles() {
		return checkRoles;
	}

	public void setCheckRoles(javax.swing.JRadioButton checkRoles) {
		this.checkRoles = checkRoles;
	}



}
